# m17n-flt.h File Reference

## Data Structures

struct | MFLTGlyph
| Type of information about a glyph. More...
struct | MFLTGlyphAdjustment
| Type of information about a glyph position adjustment. More...
struct | MFLTGlyphString
| Type of information about a glyph sequence. More...
struct | MFLTOtfSpec
| Type of specification of GSUB and GPOS OpenType tables. More...
struct | MFLTFont
| Type of font to be used by the FLT driver. More...

## Typedefs

typedef struct _MFLT | MFLT
| Type of FLT (Font Layout Table).

## Functions

MFLT * | mflt_get (MSymbol name)
| Return an FLT object that has a specified name.
MFLT * | mflt_find (int c, MFLTFont *font)
| Find an FLT suitable for the specified character and font.
const char * | mflt_name (MFLT *flt)
| Return the name of an FLT.
MCharTable * | mflt_coverage (MFLT *flt)
| Return a coverage of a FLT.
int | mflt_run (MFLTGlyphString *gstring, int from, int to, MFLTFont *font, MFLT *flt)
| Layout characters with an FLT.

## Variables

MSymbol(* | mflt_font_id )(struct _MFLTFont *font)
int(* | mflt_iterate_otf_feature )(struct _MFLTFont *font, MFLTOtfSpec *spec, int from, int to, unsigned char *table)